"use strict";

exports.__esModule = true;
exports.resolvableExtensions = resolvableExtensions;
exports.modifyWebpackConfig = modifyWebpackConfig;
exports.preprocessSource = preprocessSource;

var _coffeeReactTransform = require("coffee-react-transform");

var _coffeeReactTransform2 = _interopRequireDefault(_coffeeReactTransform);

var _coffeescript = require("coffeescript");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var COFFEE = /\.coffee$/;
var CJSX = /\.cjsx$/;

function resolvableExtensions() {
  return [`.coffee`, `.cjsx`];
}

function modifyWebpackConfig(_ref) {
  var config = _ref.config;

  // We need to use Babel to get around the ES6 export issue.
  config.loader(`coffee`, {
    test: COFFEE,
    loaders: [`babel`, `coffee`]
  });
  config.loader(`cjsx`, {
    test: CJSX,
    loaders: [`babel`, `coffee`, `cjsx`]
  });
}

function preprocessSource(_ref2, pluginOptions) {
  var filename = _ref2.filename,
      contents = _ref2.contents;

  // Don't need to account for ES6, Babylon can parse it.
  if (CJSX.test(filename)) {
    return (0, _coffeescript.compile)((0, _coffeeReactTransform2.default)(contents), pluginOptions);
  } else if (COFFEE.test(filename)) {
    return (0, _coffeescript.compile)(contents, pluginOptions);
  } else return null;
}